OfflineSorter.SortInfo (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.util, class: OfflineSorter, class: SortInfo

Package org.apache.lucene.util

# Class OfflineSorter.SortInfo

java.lang.Object
org.apache.lucene.util.OfflineSorter.SortInfo

Enclosing class:
  `OfflineSorter`

public class OfflineSorter.SortInfo extends Object
Sort info (debugging mostly).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final long`
  `bufferSize`
  read buffer size (in bytes)
  `long`
  `lineCount`
  number of lines of data read
  `int`
  `mergeRounds`
  number of partition merges
  `final AtomicLong`
  `mergeTimeMS`
  time spent merging sorted partitions (in milliseconds)
  `long`
  `readTimeMS`
  time spent in i/o read (in milliseconds)
  `final AtomicLong`
  `sortTimeMS`
  time spent sorting data (in milliseconds)
  `int`
  `tempMergeFiles`
  number of temporary files created when merging partitions
  `long`
  `totalTimeMS`
  total time spent (in milliseconds)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortInfo()`
  create a new SortInfo (with empty statistics) for debugging

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tempMergeFiles

    public int tempMergeFiles
    number of temporary files created when merging partitions

  - ### mergeRounds

    public int mergeRounds
    number of partition merges

  - ### lineCount

    public long lineCount
    number of lines of data read

  - ### mergeTimeMS

    public final AtomicLong mergeTimeMS
    time spent merging sorted partitions (in milliseconds)

  - ### sortTimeMS

    public final AtomicLong sortTimeMS
    time spent sorting data (in milliseconds)

  - ### totalTimeMS

    public long totalTimeMS
    total time spent (in milliseconds)

  - ### readTimeMS

    public long readTimeMS
    time spent in i/o read (in milliseconds)

  - ### bufferSize

    public final long bufferSize
    read buffer size (in bytes)

- ## Constructor Details

  - ### SortInfo

    public SortInfo()
    create a new SortInfo (with empty statistics) for debugging

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`